Wallet Infrastructure
Wallet Infrastructure
Treasury

Cancel pending approval

Releasing soon

This endpoint is being released and is not yet available.

DELETE
/v1/transactions/approvals/{challenge}

Requires scope wallets:write.

Authorization

ApiKey
headerAuthorizationBearer <sk_test_ or sk_live_ key>

Your sk_live_ / sk_test_ API key

Path Parameters

challenge*string

Query Parameters

treasury?boolean

Header Parameters

x-customer-id?string

Response Body

204

Collection cancelled

401application/json

The Authorization header is missing, malformed, or the API key is unknown or revoked

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean
429application/json

The API key exceeded its request budget for the window

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean

Language

curl -X DELETE 'https://api.pilot.shiga.io/v1/transactions/approvals/string' \  -H 'x-customer-id: <customer id>' \  -H 'Authorization: Bearer sk_test_...'
Example Response
Empty